# assistdomino 1.8.0 (2023-07-04)

- Data wizard: Data sources: Add support for PostgreSQL, SQL Server, MySQL, Oracle
- Added a feature flag: If the environment variable `DCA_R_DATASOURCES_DISABLED` is set to anything other than an empty string, then the Data wizard will not show the Data Sources tab.
- Added a feature flag: If the environment variable `DCA_R_SNIPPET_EDITING_DISABLED` is set to anything other than an empty string, snippet editing buttons will not be shown.

# assistdomino 1.7.0 (2023-06-12)

- Data wizard: Data sources: Add support for ADLS (Azure Data Lake Storage) and generics S3 connections
- Data wizard: Data sources: All object store data sources (S3, GCS, ADLS) support loading any file extension that is supported by the other tabs
- Data wizard: Data sources: All object store data sources allow customizing the parameters used for reading files

# assistdomino 1.6.0 (2023-05-29)

- Transformations and Visualizations wizards: When selecting a dataframe, allow the user to load a new dataframe. This will launch the data selection wizard, and re-launch the tranasformations/visualizations wizard using the newly loaded dataframe.
- Transformations and Visualizations wizards: When selecting a dataframe, if the user has no available dataframes, allow user to select a demo dataset

# assistdomino 1.5.1 (2023-05-23)

- Data wizard: Datasets and Project Files selections: show the correct directories in git-based Domino projects
- Data wizard: Datasets and Project Files selections: allow the user to navigate up in the directory tree

# assistdomino 1.5.0 (2023-05-21)

- Data wizard: Add support for Domino Data Sources (S3, GCS, Snowflake, Redshift)

# assistdomino 1.4.0 (2023-04-14)

- Data wizard: Demo tab: add `stocks_wide` and `stocks_long` datasets
- Rename `penguins` dataset to `palmerpenguins`

# assistdomino 1.3.0 (2023-03-29)

- Make demo penguins dataset used in documentation available using `assistdomino::penguins`
- Data wizard: Demo tab: Add the titanic dataset as a demo dataset 

# assistdomino 1.2.0 (2023-03-23)

- Transformations wizard: add a transformation for joining/merging two dataframes
- Transformations wizard: fix a bug where a column that has been used in Aggregate cannot be removed
- Transformations wizard: don't show messages in the RStudio console from running code
- Change "Insert Code" button to "Run", to match DCA-py

# assistdomino 1.1.0 (2023-02-24)

- Respect Domino's telemetry settings for when to send data to Mixpanel (client-side, server-side, both, or neither)

# assistdomino 1.0.0 (2023-02-09)

- Rename "Low Code Assistant" to "Domino Code Assist"
- Change package name from {assistDomino} to {assistdomino}
- Support air-gapped installations

# assistdomino 0.4.0 (2023-02-04)

- Data wizard: support reading .rds files
- Transformations wizard: add "median" and "standard deviation" aggregations
- Show the DCA version number at the top of the wizard, for better troubleshooting
- Fix various small bugs
- Add test coverage to all backend and interactive components
- Update install instructions to move away from GitHub installation

# assistdomino 0.3.0 (2022-12-22)

- DCA now works even when there is no internet connection (e.g. in an air-gapped environment)
- Visualizations wizard is now fully functional and powerful. When invoked from the Addins menu, if a variable holding a data frame is selected then that data frame will be used.
- Snippets: support adding snippets, editing snippets, deleting snippets. "Edit mode" for snippets is disabled by default, but enabling it remains "sticky" until the R session is restarted.
- Snippets: when inserting code snippets, `library()` calls should not be removed (in other DCA wizards, duplicate `library()` calls are removed)  
- Data wizard: add penguins demo dataset
- Data wizard: column names of loaded dataset are automatically fixed if they're invalid
- Data wizard: add different options when loading data of different formats, such as selecting the delimiter in a CSV file or selecting the sheet number in an Excel file
- Transformations: When input data has over 5000 rows, show a warning and only use first 10k rows for performance reasons
- Transformations: Previously, the transformations code was getting executed in the global environment after each transformation was made, which meant that new variables were getting created in the global env even without clicking the "Insert Code" button. Now the code only runs after choosing to "Insert Code".
- Transformations: fix bug where filtering a column that's an ordered factor (for example, "cut" or "color" in the `ggplot2::diamonds` dataset) was resulting in an error
- Transformations: fix bug where missing values in numeric columns were not treated as missing values
- Transformations: when invoking the addin in RStudio, if a variable holding a data frame is selected then that data frame will be used
- Transformations: allow wizard to be initialized with an existing data frame
- Transformations: allow wizard to work with reactive data
- All DCA wizards: when creating a variable name, automatically fix the name if it's invalid. For file names, ensure the name is not empty and contains no slashes.
 
# assistdomino 0.2.0 (2022-11-26)

- Add Snippets wizard for inserting code snippets
- Data wizard: add a 'Demo Data' tab to allow loading demo datasets
- Data wizard: support reading many more file types beyond CSV (.csv, .txt, .sas7bdat, .xpt, .sav, .zsav, .dta, .por, .xls, .xlsx)
- Data wizard: show user-friendly error message when a data source fails to get read correctly 
- Data wizard: make preview and code always reflect the currently selected tab
- Data wizard: allow user to automatically generate output variable name based on the selected data
- Transformations wizard: allow using either {tidyverse} or base R for the transformations code
- Code chunk insertion: Don't insert any `library(...)` calls into a script that already contains this line 
- Code chunk insertion: Insert an empty line after every code chunk that gets inserted into a script
- File browser: allow clicking on any parent path in the breadcrumbs to quickly navigate there
- File browser: allow de-selecting items by clicking on them again
- Improve the UI for all file browsers and list selectors
- Mixpanel: use server-side tracking when the client is blocked
- Add support for {data.table} dataframes in Transformations wizard
- Fix bug where modals would close unexpectedly on Firefox
- Make the package work with older shiny versions (previously version >= 1.7 was needed)
- Add all package dependencies that were previously missing

# assistdomino 0.1.0 (2022-10-13)

- Initial release
