# Various variables used for Mixpanel integration

MIXPANEL_TOKEN <- "a442c4dbf420b59cdac95cfb07f57cbb"
MIXPANEL_CONFIG <- list("property_blacklist" = c('$current_url', '$referrer', '$initial_referrer'))
MIXPANEL_TEST_TOKEN <- "3aef1937b53691cfad358cbe583c0aa6"
MIXPANEL_TEST_DOMAINS <- c('localhost', '127.0.0.1', '0.0.0.0', '.dominodatalab.com', 'team-sandbox.domino.tech', 'eval.domino.tech', 'domino-eval.com', 'domino-pilot.com', 'dominohackathon.com', 'dominodata.science', 'gurudomino.com', 'dominoai1.com')
MIXPANEL_EVENT_INIT <- "LCA open"
MIXPANEL_EVENT_CODE <- "LCA inserted code"
MIXPANEL_EVENT_INTERACTION <- "LCA interaction"
MIXPANEL_SECTION_LOAD <- "load_data"
MIXPANEL_SECTION_XFORM <- "transformations"
MIXPANEL_SECTION_VIZ <- "visualizations"
MIXPANEL_SECTION_SNIPPETS <- "snippets"

#' Set up Mixpanel on a page using parameters specific to Domino
use_mixpanel <- function() {
  shinymixpanel::mp_init(
    token = MIXPANEL_TOKEN,
    userid = get_user_id(),
    options = MIXPANEL_CONFIG,
    default_properties = list(
      Domino_version = get_domino_version(),
      LCA_version = as.character(utils::packageVersion(PACKAGE_NAME)),
      LCA_language = "R"
    ),
    default_properties_js = list("domain" = "location.host"),
    test_token = MIXPANEL_TEST_TOKEN,
    test_domains = MIXPANEL_TEST_DOMAINS,
    track_client = get_mixpanel_enabled_client(),
    track_server = get_mixpanel_enabled_server()
  )
}
