PACKAGE_NAME <- "assistdomino"

.onLoad <- function(libname, pkgname) {
  shiny::addResourcePath(prefix = "dca-assets", directoryPath = system.file("assets", package = PACKAGE_NAME))
}

.onUnload <- function(libname, pkgname) {
  if (utils::packageVersion("shiny") >= "1.4.0") {
    shiny::removeResourcePath("dca-assets")
  }
}

.globals <- new.env(parent = emptyenv())

# Workaround for https://github.com/rstudio/rstudio/issues/12078
#' @import miniUI
NULL

# Import shiny because the code is too messy to include shiny:: everywhere
#' @import shiny
NULL

#' @noRd
#' @import datasets
#' @import gapminder
dummy <- function() {
  # Empty imports to get rid of CRAN check warnings
  R6::R6Class
  ggplot2::ggplot
  haven::read_sas
  readxl::read_xls
  cli::ansi_strip
  dplyr::filter
  tidyr::drop_na
  checkmate::test_character
  DominoDataR::query
}
