% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/transformation-aggregate.R
\name{AggregateTransformation}
\alias{AggregateTransformation}
\title{A subclass of Transformation for group+aggregate operations}
\description{
A subclass of Transformation for group+aggregate operations

A subclass of Transformation for group+aggregate operations
}
\section{Super class}{
\code{\link[assistdomino:Transformation]{assistdomino::Transformation}} -> \code{AggregateTransformation}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{cols}}{Columns to group by}

\item{\code{aggregations}}{Named list of aggregations, where the names are the column
names and the values are the aggregate function}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-AggregateTransformation-new}{\code{AggregateTransformation$new()}}
\item \href{#method-AggregateTransformation-print}{\code{AggregateTransformation$print()}}
\item \href{#method-AggregateTransformation-clone}{\code{AggregateTransformation$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="get_code"><a href='../../assistdomino/html/Transformation.html#method-Transformation-get_code'><code>assistdomino::Transformation$get_code()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="use_tidyverse"><a href='../../assistdomino/html/Transformation.html#method-Transformation-use_tidyverse'><code>assistdomino::Transformation$use_tidyverse()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-AggregateTransformation-new"></a>}}
\if{latex}{\out{\hypertarget{method-AggregateTransformation-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{AggregateTransformation$new(
  cols,
  aggregations,
  name_out = NULL,
  tidyverse = NULL
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{cols}}{Columns to group by}

\item{\code{aggregations}}{Named list of aggregations, where the names are the column
names and the values are the aggregate function}

\item{\code{name_out}}{The name of the resulting dataframe}

\item{\code{tidyverse}}{Whether this transformation should use tidyverse code or base R}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-AggregateTransformation-print"></a>}}
\if{latex}{\out{\hypertarget{method-AggregateTransformation-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{AggregateTransformation$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-AggregateTransformation-clone"></a>}}
\if{latex}{\out{\hypertarget{method-AggregateTransformation-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{AggregateTransformation$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
