% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/transformation-filter.R
\name{FilterTransformation}
\alias{FilterTransformation}
\title{A subclass of Transformation for filter operations}
\description{
A subclass of Transformation for filter operations

A subclass of Transformation for filter operations
}
\section{Super class}{
\code{\link[assistdomino:Transformation]{assistdomino::Transformation}} -> \code{FilterTransformation}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{col}}{The column to filter}

\item{\code{op}}{The filter operation (such as equals, less than, greater or equal to, etc.)}

\item{\code{value}}{The value to filter on}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-FilterTransformation-new}{\code{FilterTransformation$new()}}
\item \href{#method-FilterTransformation-print}{\code{FilterTransformation$print()}}
\item \href{#method-FilterTransformation-clone}{\code{FilterTransformation$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="get_code"><a href='../../assistdomino/html/Transformation.html#method-Transformation-get_code'><code>assistdomino::Transformation$get_code()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="use_tidyverse"><a href='../../assistdomino/html/Transformation.html#method-Transformation-use_tidyverse'><code>assistdomino::Transformation$use_tidyverse()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FilterTransformation-new"></a>}}
\if{latex}{\out{\hypertarget{method-FilterTransformation-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FilterTransformation$new(
  col,
  op,
  value,
  type = NULL,
  name_out = NULL,
  tidyverse = NULL
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{col}}{The column to filter}

\item{\code{op}}{The filter operation (such as equals, less than, greater or equal to, etc.)}

\item{\code{value}}{The value to filter on}

\item{\code{type}}{The class of the filter value, to determine whether or not quotes
should be placed around the value if it's string-like}

\item{\code{name_out}}{The name of the resulting dataframe}

\item{\code{tidyverse}}{Whether this transformation should use tidyverse code or base R}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FilterTransformation-print"></a>}}
\if{latex}{\out{\hypertarget{method-FilterTransformation-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FilterTransformation$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FilterTransformation-clone"></a>}}
\if{latex}{\out{\hypertarget{method-FilterTransformation-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FilterTransformation$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
