% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LoadComponent.R
\name{LoadComponent}
\alias{LoadComponent}
\title{R6 superclass for loading datasets}
\description{
A subclass must implement:
\itemize{
\item \code{private$get_name()}
\item \code{private$get_code()}
\item \code{private$get_data()}
}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{name}}{The name of the dataset (or \code{NULL} if there's an error)}

\item{\code{code}}{The code to load the dataset (or \code{NULL} if there's an error)}

\item{\code{data}}{The dataframe (or \code{NULL} if there's an error)}

\item{\code{error}}{An error message generated while loading the dataset (or \code{NULL})}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-LoadComponent-new}{\code{LoadComponent$new()}}
\item \href{#method-LoadComponent-print}{\code{LoadComponent$print()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponent-new"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponent-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponent$new()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponent-print"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponent-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponent$print()}\if{html}{\out{</div>}}
}

}
}
