% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LoadComponentDataSource.R
\name{LoadComponentDataSource}
\alias{LoadComponentDataSource}
\title{A subclass of LoadComponent that loads data from a DominoDataSource}
\description{
A subclass must call \code{private$run()} and implement:
\itemize{
\item \code{private$get_name()}
\item \code{private$get_code()}
\item \code{private$get_data()}
}
}
\section{Super class}{
\code{\link[assistdomino:LoadComponent]{assistdomino::LoadComponent}} -> \code{LoadComponentDataSource}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{dds}}{The DominoDataSource associated with this DataSource}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-LoadComponentDataSource-new}{\code{LoadComponentDataSource$new()}}
\item \href{#method-LoadComponentDataSource-print}{\code{LoadComponentDataSource$print()}}
\item \href{#method-LoadComponentDataSource-reactive}{\code{LoadComponentDataSource$reactive()}}
\item \href{#method-LoadComponentDataSource-clone}{\code{LoadComponentDataSource$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponentDataSource-new"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponentDataSource-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponentDataSource$new(dds)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{dds}}{The DominoDataSource associated with this DataSource}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponentDataSource-print"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponentDataSource-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponentDataSource$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponentDataSource-reactive"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponentDataSource-reactive}{}}}
\subsection{Method \code{reactive()}}{
Get a reactive version of this object that invalidates when it changes
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponentDataSource$reactive()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-LoadComponentDataSource-clone"></a>}}
\if{latex}{\out{\hypertarget{method-LoadComponentDataSource-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{LoadComponentDataSource$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
