% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/transformation-merge.R
\name{MergeTransformation}
\alias{MergeTransformation}
\title{A subclass of Transformation for merge operations}
\description{
A subclass of Transformation for merge operations

A subclass of Transformation for merge operations
}
\section{Super class}{
\code{\link[assistdomino:Transformation]{assistdomino::Transformation}} -> \code{MergeTransformation}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{df}}{The name of the dataframe to merge}

\item{\code{type}}{The type of merge to perform}

\item{\code{by}}{Named list of the column names to use for the merge, or \code{NULL}
to do natural merging (merge by all common column names)}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-MergeTransformation-new}{\code{MergeTransformation$new()}}
\item \href{#method-MergeTransformation-print}{\code{MergeTransformation$print()}}
\item \href{#method-MergeTransformation-clone}{\code{MergeTransformation$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="get_code"><a href='../../assistdomino/html/Transformation.html#method-Transformation-get_code'><code>assistdomino::Transformation$get_code()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="use_tidyverse"><a href='../../assistdomino/html/Transformation.html#method-Transformation-use_tidyverse'><code>assistdomino::Transformation$use_tidyverse()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MergeTransformation-new"></a>}}
\if{latex}{\out{\hypertarget{method-MergeTransformation-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MergeTransformation$new(df, type, by = NULL, name_out = NULL, tidyverse = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{df}}{The name of the dataframe to merge}

\item{\code{type}}{The type of merge to perform (inner, outer, left, right)}

\item{\code{by}}{Named list of the column names to use for the merge, or \code{NULL} to do
natural merging (merge by all common column names). If a named list is provided,
the names are the left dataframe column names and the values are the right dataframe
column names.}

\item{\code{name_out}}{The name of the resulting dataframe}

\item{\code{tidyverse}}{Whether this transformation should use tidyverse code or base R}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MergeTransformation-print"></a>}}
\if{latex}{\out{\hypertarget{method-MergeTransformation-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MergeTransformation$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MergeTransformation-clone"></a>}}
\if{latex}{\out{\hypertarget{method-MergeTransformation-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MergeTransformation$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
