% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/transformation-missing.R
\name{MissingValuesTransformation}
\alias{MissingValuesTransformation}
\title{A subclass of Transformation for removing observations with NA values}
\description{
A subclass of Transformation for removing observations with NA values

A subclass of Transformation for removing observations with NA values
}
\section{Super class}{
\code{\link[assistdomino:Transformation]{assistdomino::Transformation}} -> \code{MissingValuesTransformation}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{col}}{The column to remove missing values from, or \code{NULL} if to remove
all rows with a missing value}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-MissingValuesTransformation-new}{\code{MissingValuesTransformation$new()}}
\item \href{#method-MissingValuesTransformation-print}{\code{MissingValuesTransformation$print()}}
\item \href{#method-MissingValuesTransformation-clone}{\code{MissingValuesTransformation$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="get_code"><a href='../../assistdomino/html/Transformation.html#method-Transformation-get_code'><code>assistdomino::Transformation$get_code()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="Transformation" data-id="use_tidyverse"><a href='../../assistdomino/html/Transformation.html#method-Transformation-use_tidyverse'><code>assistdomino::Transformation$use_tidyverse()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MissingValuesTransformation-new"></a>}}
\if{latex}{\out{\hypertarget{method-MissingValuesTransformation-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MissingValuesTransformation$new(col = NULL, name_out = NULL, tidyverse = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{col}}{The column to remove missing values from, or \code{NULL} if to remove
all rows with a missing value}

\item{\code{name_out}}{The name of the resulting dataframe}

\item{\code{tidyverse}}{Whether this transformation should use tidyverse code or base R}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MissingValuesTransformation-print"></a>}}
\if{latex}{\out{\hypertarget{method-MissingValuesTransformation-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MissingValuesTransformation$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-MissingValuesTransformation-clone"></a>}}
\if{latex}{\out{\hypertarget{method-MissingValuesTransformation-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{MissingValuesTransformation$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
