% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DataSource-ObjectStore.R
\name{ObjectStoreDataSource}
\alias{ObjectStoreDataSource}
\title{A subclass of LoadComponentDataSource that represents an object store data source}
\description{
Object store data sources include services such as S3 and Google Cloud Storage
}
\section{Super classes}{
\code{\link[assistdomino:LoadComponent]{assistdomino::LoadComponent}} -> \code{\link[assistdomino:LoadComponentDataSource]{assistdomino::LoadComponentDataSource}} -> \code{ObjectStoreDataSource}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{file}}{The path of the file (key from object store)}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-ObjectStoreDataSource-get_files}{\code{ObjectStoreDataSource$get_files()}}
\item \href{#method-ObjectStoreDataSource-set_file}{\code{ObjectStoreDataSource$set_file()}}
\item \href{#method-ObjectStoreDataSource-clone}{\code{ObjectStoreDataSource$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="LoadComponentDataSource" data-id="initialize"><a href='../../assistdomino/html/LoadComponentDataSource.html#method-LoadComponentDataSource-initialize'><code>assistdomino::LoadComponentDataSource$initialize()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="LoadComponentDataSource" data-id="print"><a href='../../assistdomino/html/LoadComponentDataSource.html#method-LoadComponentDataSource-print'><code>assistdomino::LoadComponentDataSource$print()</code></a></span></li>
<li><span class="pkg-link" data-pkg="assistdomino" data-topic="LoadComponentDataSource" data-id="reactive"><a href='../../assistdomino/html/LoadComponentDataSource.html#method-LoadComponentDataSource-reactive'><code>assistdomino::LoadComponentDataSource$reactive()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-ObjectStoreDataSource-get_files"></a>}}
\if{latex}{\out{\hypertarget{method-ObjectStoreDataSource-get_files}{}}}
\subsection{Method \code{get_files()}}{
Get a list of files (keys) in the object store. Only txt and csv files are supported.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{ObjectStoreDataSource$get_files()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-ObjectStoreDataSource-set_file"></a>}}
\if{latex}{\out{\hypertarget{method-ObjectStoreDataSource-set_file}{}}}
\subsection{Method \code{set_file()}}{
Load a file from the object store
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{ObjectStoreDataSource$set_file(file, params = list())}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{file}}{The path of the file (key from object store)}

\item{\code{params}}{Named list of parameters to use for the function that loads the file}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-ObjectStoreDataSource-clone"></a>}}
\if{latex}{\out{\hypertarget{method-ObjectStoreDataSource-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{ObjectStoreDataSource$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
