% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TransformationsResult.R
\name{TransformationsResult}
\alias{TransformationsResult}
\title{Result of a set of transformations}
\description{
\code{TransformationsResult} stores the result and, if applicable, error information
from running a \code{TransformationSequence.} This information is not stored directly
in a \code{TransformationSequence} so that the resulting data, which can potentially
be a large object, won't be stored and take up a lot of unnecessary memory.
This could happen if you have a list of \code{TransformationSequence} objects, with
each one storing its own result.
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{result}}{The object resulting from running transformations}

\item{\code{error}}{An error message}

\item{\code{error_line}}{The R code that resulted in the error}

\item{\code{error_line_num}}{The line number where the error occurred}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-TransformationsResult-new}{\code{TransformationsResult$new()}}
\item \href{#method-TransformationsResult-print}{\code{TransformationsResult$print()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-TransformationsResult-new"></a>}}
\if{latex}{\out{\hypertarget{method-TransformationsResult-new}{}}}
\subsection{Method \code{new()}}{
Create a new instance
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{TransformationsResult$new(
  result = NULL,
  error = NULL,
  error_line = NULL,
  error_line_num = NULL
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{result}}{The object resulting from running transformations}

\item{\code{error}}{An error message}

\item{\code{error_line}}{The R code that resulted in the error}

\item{\code{error_line_num}}{The line number where the error occurred}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-TransformationsResult-print"></a>}}
\if{latex}{\out{\hypertarget{method-TransformationsResult-print}{}}}
\subsection{Method \code{print()}}{
Print a string representation
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{TransformationsResult$print()}\if{html}{\out{</div>}}
}

}
}
