% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mock-dominodatar.R
\name{mock_ddr_query}
\alias{mock_ddr_query}
\title{Mock function for DominoDataR::query}
\usage{
mock_ddr_query(client, datasource, query, ...)
}
\arguments{
\item{client}{A MockDataSourceClient object returned from \code{mock_ddr_datasource_client()}}

\item{datasource}{The name of the data source (folder name)}

\item{query}{A SQL query}

\item{...}{Parameters used for the real function but not in the mock function}
}
\description{
The real function runs a SQL query against the given database.\cr\cr
The mock function can do two limited actions: if the query starts with \code{SELECT * FROM}
then the table name from the query is parsed out and assumed to be a CSV file in the mock
data source, and that CSV file is returned. Otherwise, the query is assumed to be asking
for a list of tables in the database (CSV files in the data source directory), so a
dataframe is returned with: database, schema, table, rows.
}
