% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mod-pairs-selector.R
\name{pairs_selector}
\alias{pairs_selector}
\alias{pairs_selector_ui}
\alias{pairs_selector_server}
\title{Shiny module: Select arbitrary number of pairs from two dropdown menus}
\usage{
pairs_selector_ui(
  id,
  label_1 = NULL,
  label_2 = NULL,
  choices_1 = NULL,
  choices_2 = NULL
)

pairs_selector_server(
  id,
  choices_df_1 = reactive(NULL),
  choices_df_2 = reactive(NULL)
)
}
\arguments{
\item{id}{Unique ID for the module}

\item{label_1}{Label for first dropdown}

\item{label_2}{Label for second dropdown}

\item{choices_1}{List of choices for the first dropdown. Leave as \code{NULL} and use \code{choices_df_1}
instead if the choices should be the column names of some dataframe.}

\item{choices_2}{List of choices for the second dropdown. Leave as \code{NULL} and use \code{choices_df_2}
instead if the choices should be the column names of some dataframe.}

\item{choices_df_1}{(reactive) A dataframe whose column names become the list of choices.}

\item{choices_df_2}{(reactive) A dataframe whose column names become the list of choices.}
}
\value{
List:
\itemize{
\item get: (reactive) Named list containing all the selected pairs.
\item set: A function accepting a named list that sets the UI to contain the given list of pairs.
}
}
\description{
Create two dropdown menus and allow the user to choose any number of pairs from these
dropdowns. Selecting duplicate pairs is not allowed.
}
\details{
Technical implementation detail: a hidden text field saves the existing pairs
as a JSON list-of-lists (a single list can't be used because in JavaScript a dictionary
cannot have duplicate keys).
}
