% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mod-snippet-edit-mode.R
\name{snippet_edit_mode}
\alias{snippet_edit_mode}
\alias{snippet_edit_mode_ui}
\alias{snippet_edit_mode_server}
\title{Shiny module: Edit mode buttons for snippets
One button to enable/disable editing is created, and its state is sticky throughout an
R session (after the R session is terminated, it defaults back to disabled). When editing
is enabled, an "Add" button is shown to add a snippet in the current directory. If editing
is enabled and a file is selected, two additional buttons "Edit" and "Delete" are shown,
but they may be disabled if the file is not inside a write-permissible location.}
\usage{
snippet_edit_mode_ui(id)

snippet_edit_mode_server(
  id,
  selected_snippet,
  curwd,
  snippets_refresh = reactive_trigger()
)
}
\arguments{
\item{id}{Unique ID for the module}

\item{selected_snippet}{(reactive) The file to edit/delete (or \code{NULL})}

\item{curwd}{(reactive) The current folder where a snippet will be added}

\item{snippets_refresh}{A reactive trigger that triggers when a snippet is added/modified}
}
\value{
None
}
\description{
Shiny module: Edit mode buttons for snippets
One button to enable/disable editing is created, and its state is sticky throughout an
R session (after the R session is terminated, it defaults back to disabled). When editing
is enabled, an "Add" button is shown to add a snippet in the current directory. If editing
is enabled and a file is selected, two additional buttons "Edit" and "Delete" are shown,
but they may be disabled if the file is not inside a write-permissible location.
}
