test_that("DominoDataSource works", {
  expect_error(DominoDataSource$new("id", "name", "type", config = list("notnamed")), "named list")
  expect_error(DominoDataSource$new("id", "name", "type", config = list("p1" = "v1", "notallnamed")), "named list")
  expect_error(DominoDataSource$new("id", "name", "type", config = list()), NA)
  expect_error(DominoDataSource$new("id", "name", "type", config = list("p1" = "v1")), NA)
  expect_error(DominoDataSource$new("id", "name", "type", config = list("p1" = "v1", "p2" = "v2")), NA)

  dds <-  DominoDataSource$new("123abc", "foo", "test type", config = list("p1" = "v1", "p2" = "v2"))
  expect_identical(dds$id, "123abc")
  expect_identical(dds$name, "foo")
  expect_identical(dds$type, "test type")
  expect_identical(dds$config, list("p1" = "v1", "p2" = "v2"))
  expect_output(dds$print(), "<DominoDataSource>.*type.*foo.*123abc.*Config:.*p1.*v1.*p2.*v2")
})
