test_that("LoadComponentDataSource works", {
  LoadComponentDataSourceTest <- R6::R6Class(
    "LoadComponentDataSourceTest",
    inherit = LoadComponentDataSource,

    private = list(
      get_type = function() {
        "test source"
      },
      get_name = function() {
        "good name"
      },
      get_code = function() {
        "some code"
      },
      get_data = function() {
        mtcars
      }
    ),

    public = list(
      initialize = function(dds) {
        super$initialize(dds)
        private$run()
      }
    )
  )

  successful <- LoadComponentDataSourceTest$new(DominoDataSource$new("123abc", "foo", "type"))
  expect_false(is.null(successful$code))
  expect_false(is.null(successful$name))
  expect_false(is.null(successful$data))
  expect_null(successful$error)
  expect_output(successful$print(), "<LoadComponentDataSourceTest>.*<DominoDataSource>.*type.*foo.*123abc")
  expect_identical(successful$dds$id, "123abc")
  expect_identical(successful$dds$name, "foo")
  expect_identical(successful$dds$type, "type")
  expect_identical(successful$dds$config, list())
})
