test_that("is_data_source_supported works", {
  expect_error(is_data_source_supported(""))
  expect_error(is_data_source_supported("S3"))
  expect_false(is_data_source_supported(DominoDataSource$new("id", "name", "s3")))
  expect_true(is_data_source_supported(DominoDataSource$new("id", "name", "S3")))
  expect_true(is_data_source_supported(DominoDataSource$new("id", "name", "Redshift")))
})

test_that("get_data_source_shortname works", {
  expect_null(get_data_source_shortname(NULL))
  expect_identical(get_data_source_shortname("S3Config"), "S3")
  expect_identical(get_data_source_shortname("RedshiftConfig"), "Redshift")
})

test_that("get_data_source_dropdown_html works", {
  expect_error(get_data_source_dropdown_html("S3"))
  expect_match(
    get_data_source_dropdown_html(DominoDataSource$new("id", "name", "S3")),
    "\\<img\\>.*S3"
  )
  expect_match(
    get_data_source_dropdown_html(DominoDataSource$new("id", "name", "badtype")),
    "\\<div\\>.*badtype"
  )
})
