test_that("get_dataframes works", {
  myenv <- new.env()

  expect_null(get_dataframes(env = myenv))

  myenv$a1 <- "a1"
  myenv$b2 <- iris

  expect_equal(get_dataframes(env = myenv), "b2")

  myenv$c3 <- 10
  myenv$d4 <- mtcars

  expect_equal(get_dataframes(env = myenv), c("b2", "d4"))
})

test_that("get_df_dimensions works", {
  myenv <- new.env()

  myenv$a1 <- "a1"
  myenv$b2 <- iris
  myenv$c3 <- 10
  myenv$d4 <- mtcars

  dims <- get_df_dimensions(c("b2", "d4"), env = myenv)
  expect_length(dims, 2)
  expect_match(dims[[1]], "150 rows x 5 cols")
  expect_match(dims[[2]], "32 rows x 11 cols")
})
