library(shiny)

skip_on_cran()

test_that("page_snippets shiny module works", {
  app <- shinyApp(
    ui = fluidPage(
      assistdomino:::page_snippets_ui("test")
    ),
    server = function(input, output, session) {
      Sys.setenv(SHINYMIXPANEL_DISABLE = "1")

      res <- assistdomino:::page_snippets_server("test")
      exportTestValues(
        code = res$code()
      )
    }
  )

  driver <- shinytest2::AppDriver$new(app, expect_values_screenshot_args = FALSE)
  driver$wait_for_idle()

  wait_for_visible(driver, "test-continue")
  wait_for_disabled(driver, "test-continue")
  expect_identical(driver$get_value(export = "code"), "")

  driver$set_inputs(
    `test-snippets-file_clicked` = "ggplot2/boxplots.R",
    allow_no_input_binding_ = TRUE, priority_ = "event"
  )
  wait_for_enabled(driver, "test-continue")
  code <- driver$wait_for_value(export = "code")
  expect_match(code, "library\\(ggplot2\\).*geom_boxplot")

  driver$set_inputs(
    `test-snippets-file_clicked` = "ggplot2/boxplots.R",
    allow_no_input_binding_ = TRUE, priority_ = "event"
  )
  wait_for_disabled(driver, "test-continue")
  code <- driver$wait_for_value(export = "code", ignore = list())
  expect_identical(code, "")
})
