test_that("natural_num works", {
  expect_identical(natural_num(5), "5")
  expect_identical(natural_num(543), "543")
  expect_identical(natural_num(5432), "5.4 thousand")
  expect_identical(natural_num(5452), "5.5 thousand")
  expect_identical(natural_num(54321), "54.3 thousand")
  expect_identical(natural_num(543210), "543.2 thousand")
  expect_identical(natural_num(543000), "543.0 thousand")
  expect_identical(natural_num(1234567), "1.2 million")
  expect_identical(natural_num(12345678), "12.3 million")
  expect_identical(natural_num(12285678), "12.3 million")
  expect_identical(natural_num(12245678), "12.2 million")
  expect_identical(natural_num(123456789), "123.5 million")
  expect_identical(natural_num(1234567809), "1.2 billion")
  expect_identical(natural_num(1234567809000), "1.2 trillion")
})

test_that("natural_size works", {
  expect_identical(natural_size(1), "1 Byte")
  expect_identical(natural_size(5), "5 Bytes")
  expect_identical(natural_size(543), "543 Bytes")
  expect_identical(natural_size(5432), "5.4 kB")
  expect_identical(natural_size(5452), "5.5 kB")
  expect_identical(natural_size(54321), "54.3 kB")
  expect_identical(natural_size(543210), "543.2 kB")
  expect_identical(natural_size(543000), "543.0 kB")
  expect_identical(natural_size(1234567), "1.2 MB")
  expect_identical(natural_size(12345678), "12.3 MB")
  expect_identical(natural_size(12285678), "12.3 MB")
  expect_identical(natural_size(12245678), "12.2 MB")
  expect_identical(natural_size(123456789), "123.5 MB")
  expect_identical(natural_size(1234567809), "1.2 GB")
  expect_identical(natural_size(1234567809000), "1.2 TB")
})
